/** @type {import('ts-jest').JestConfigWithTsJest} */
module.exports = {
    preset: "ts-jest",
    testEnvironment: "jsdom",
    coverageReporters: ["html", "text", "text-summary", "cobertura"],
    transform: {
        '^.+\\.css$': '<rootDir>/src/mocks/cssMocks.js',
        'react-super-responsive-table/dist/SuperResponsiveTableStyle.css': '<rootDir>/src/mocks/cssMocks.js',
    },
    moduleNameMapper: {
        "\\.(css|less|scss|sass)$": "identity-obj-proxy"
    }
};
